> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/employee-data/api.md).

# Employee API

Employee API documentation covering search and collect endpoints, bulk data retrieval, webhooks, rate limits, and credit usage.

## Overview

This section covers the basics of the Employee Data API. For more on the API and its endpoints, follow the links below.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Employee API endpoints</td><td><a href="/employee-data/api.md#multi-source-employee-endpoints">Employee API</a></td></tr><tr><td>Employee data dictionary</td><td><a href="/employee-data/bundles.md">Employee Data Bundles</a></td></tr><tr><td>Full employee data sample</td><td><a href="/employee-data/record-sample.md">Employee Record Sample</a></td></tr><tr><td>Rate limits</td><td><a href="/api-introduction/rate-limits.md">Rate Limits</a></td></tr><tr><td>Credits</td><td><a href="/api-introduction/credits.md">Credits</a></td></tr></tbody></table>

{% hint style="info" %}
Our API retrieves data. The endpoints do not support analytic features.
{% endhint %}

***

## Employee API endpoints

Employee API features **three search (POST)** and **two collect (GET)** endpoints for searching and collecting relevant employee data.

<table><thead><tr><th width="299.89453125">Endpoint</th><th width="299.98828125">Function</th><th>Credits</th></tr></thead><tbody><tr><td>POST <a href="/employee-data/api/elasticsearch-dsl.md"><em>/v2/employee_multi_source/search/es_dsl</em></a></td><td>Search for relevant employee data using Elasticsearch DSL schema</td><td>Free</td></tr><tr><td>POST <a href="/employee-data/api/elasticsearch-dsl.md"><em>/v2/employee_multi_source/semantic_search/es_dsl</em></a></td><td>Search for relevant employee data using Elasticsearch DSL schema with applied semantic search</td><td>Free</td></tr><tr><td>POST <a href="/employee-data/api/search-preview.md"><em>/v2/employee_multi_source/search/es_dsl/preview</em></a></td><td>Retrieves a preview set of partial data using Elasticsearch queries</td><td>20</td></tr><tr><td>GET <a href="/employee-data/api/collect.md"><em>/v2/employee_multi_source/collect/{employee_id}</em></a></td><td>Collect employee data using IDs</td><td>20</td></tr><tr><td>GET <a href="/employee-data/api/collect.md#collection-using-profile-urls-or-shorthand-names"><em>/v2/employee_multi_source/collect/{profile_url/shorthand_name}</em></a></td><td>Collect employee data using profile URLs or shorthand names*</td><td>20</td></tr></tbody></table>

\*📌 Full profile URL example: [www.professional-network.com/john-doe.\\](http://www.professional-network.com/john-doe.\\)
Shorthand name example: john-doe.

{% hint style="warning" %}
All Employee API requests must be made over HTTPS. Requests made over HTTP will fail or be redirected to HTTPS.
{% endhint %}

### Bulk Collect

Use the following endpoints to retrieve Employee API data in bulk:

| Endpoint                                                                                                                                 |
| ---------------------------------------------------------------------------------------------------------------------------------------- |
| POST [*/v2/data\_requests/employee\_multi\_source/ids*](/employee-data/api/bulk-collect/post-requests.md#ids-requests)                   |
| POST [*/v2/data\_requests/employee\_multi\_source/es\_dsl*](/employee-data/api/bulk-collect/post-requests.md#elasticsearch-dsl-requests) |
| GET */v2/data\_requests/{data\_request\_id}/files*                                                                                       |
| GET */v2/data\_requests/{data\_request\_id}/files/{file\_name}*                                                                          |

Read more about Bulk Collect in the following article:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Bulk Collect</td><td><a href="/api-introduction/requests/bulk-collect.md">Bulk Collect</a></td></tr></tbody></table>

### Webhook subscriptions

Webhooks enable you to receive automatic, event-driven notifications when changes are detected in your subscribed employee profiles.

Use the following endpoints to subscribe to profile changes in employee data:

| Endpoint                                                                                                                  |
| ------------------------------------------------------------------------------------------------------------------------- |
| POST [*/v2/subscriptions/employee\_multi\_source/es\_dsl*](/employee-data/api/webhooks.md#subscribe-by-elasticsearch-dsl) |
| POST [*/v2/subscriptions/employee\_multi\_source/ids*](/employee-data/api/webhooks.md#subscribe-by-ids)                   |

And use the following endpoints to subscribe to employee experience updates:

| Endpoint                                                                                                                                        |
| ----------------------------------------------------------------------------------------------------------------------------------------------- |
| POST[ */v2/subscriptions/experience\_changes/employee\_multi\_source/ids*](/employee-data/api/webhooks.md#subscribe-by-ids-1)                   |
| POST [*/v2/subscriptions/experience\_changes/employee\_multi\_source/es\_dsl*](/employee-data/api/webhooks.md#subscribe-by-elasticsearch-dsl-1) |

Learn more about <a href="/employee-data/api/webhooks.md" class="button secondary">Webhook subscriptions</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coresignal.com/employee-data/api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
